Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.exceptions
[Java] Class GriffonException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  griffon.exceptions.GriffonException

    public class GriffonException
    extends RuntimeException

Authors:
  Andres Almiray

Since:
  0.9.1

Constructor Summary
`GriffonException()`
`GriffonException(String arg0)`
`GriffonException(String arg0, Throwable arg1)`
`GriffonException(Throwable arg0)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### GriffonException

    public GriffonException()

### GriffonException

    public GriffonException(String arg0)

### GriffonException

    public GriffonException(String arg0, Throwable arg1)

### GriffonException

    public GriffonException(Throwable arg0)

Groovy Documentation